Add an IP allowlist entry
curl --request POST \
--url https://api.voucher-staging.allride.io/partner/v1/ip-allowlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidr": "203.0.113.0/24",
"label": "Data centre NAT"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidr: '203.0.113.0/24', label: 'Data centre NAT'})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/ip-allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist"
payload = {
"cidr": "203.0.113.0/24",
"label": "Data centre NAT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/partner/v1/ip-allowlist")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Data centre NAT\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist"
payload := strings.NewReader("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Data centre NAT\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cidr' => '203.0.113.0/24',
'label' => 'Data centre NAT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 34017,
"resource": "ip-allowlist-entry",
"partnerId": 1069,
"cidr": "203.0.113.0/24",
"label": "Data centre NAT",
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:10:00Z",
"updatedAt": "2026-10-22T10:10:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/ip-allowlist/34017",
"type": "application/json"
}
}
}
}IP allowlist
Add an IP allowlist entry
Adds a range. Add your IPv4 and IPv6 egress ranges before you enable enforcement. Takes effect within 60 seconds. See IP allowlist.
Required permissions: manage-ip-allowlist · API keys: not allowed · Recent sign-in: required for dashboard users (15 minutes)
POST
/
partner
/
v1
/
ip-allowlist
Add an IP allowlist entry
curl --request POST \
--url https://api.voucher-staging.allride.io/partner/v1/ip-allowlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidr": "203.0.113.0/24",
"label": "Data centre NAT"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidr: '203.0.113.0/24', label: 'Data centre NAT'})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/ip-allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist"
payload = {
"cidr": "203.0.113.0/24",
"label": "Data centre NAT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/partner/v1/ip-allowlist")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Data centre NAT\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist"
payload := strings.NewReader("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Data centre NAT\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cidr' => '203.0.113.0/24',
'label' => 'Data centre NAT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 34017,
"resource": "ip-allowlist-entry",
"partnerId": 1069,
"cidr": "203.0.113.0/24",
"label": "Data centre NAT",
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:10:00Z",
"updatedAt": "2026-10-22T10:10:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/ip-allowlist/34017",
"type": "application/json"
}
}
}
}Dashboard session only. API keys cannot call this operation.
Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Headers
Optional key (1-255 printable ASCII characters, no spaces; a UUID is ideal) that makes this POST safe to retry: the same key with the same request replays the stored response for 24 hours. See Idempotency.
Required string length:
1 - 255Pattern:
^[\x21-\x7E]{1,255}$Body
application/json
Response
Created
Single-object envelope around a IpAllowlistEntry.
An allowed source address range.
Show child attributes
Show child attributes